Subject: Re: [PATCH v2 08/16] mlx4_en: Reporting HW revision in ethtool -i

From: Stephen Hemminger <[email-masked]>
Date: Wed, 23 Mar 2011 10:06:46 -0700

On Wed, 23 Mar 2011 16:08:12 +0000
Ben Hutchings <[email-masked]> wrote:

> On Wed, 2011-03-23 at 15:54 +0000, Yevgeny Petrilin wrote:
> > > On Wed, 2011-03-23 at 15:10 +0000, Yevgeny Petrilin wrote:
> > > > >
> > > > > This is an abuse of the ethtool_drvinfo::driver field.
> > > > >
> > > > > Your users can use lspci -v, can't they?
> > > > >
> > > > I don't think there is a problem here.
> > > > We have always reported the HW model via Ethtool, we just expanded
> > > the information
> > > > we provide.
> > > > Our users prefer to see the information in ethtool.
> > > 
> > > Do you mean 'we documented ethtool -i as the way to get hardware
> > > identification'?  That would be a bug in your documentation.
> > > 
> > > Ben.
> > 
> > This is not what I mean, All the required information can be found in lspci,
> > There are some requests to see part of this information also via ethtool
> 
> As Stephen says, the issue here is consistency between drivers.
> Sometimes you just have to say no to customer requests that you abuse a
> standard API.
> 
> You could perhaps include some sort of hardware type distinction in the
> firmware version string, if it doesn't already incorporate that.

The pci info is already in bus_info and that can be used by tools.
Alternatively, many drivers splat revision/config info out to dmesg.